; Init_Gal.scm - Galapagos specific init

(rename-console "First console")

(define (print-environment e)
   (define (prp names vals)
      (or (null? names)
	      (null? vals)
		  (begin
		     (display (car names))
			 (display " == ")
			 (display (car vals))
			 (newline)
			 (prp (cdr names) (cdr vals)))))

   (define (pr li)
      (if (null? li)
	      (begin
		     (display "--[toplevel environment]--")
			 (newline))
		  (begin
		     (display "------------")
			 (newline)
		     (prp (caar li) (cdar li))
		     (pr (cdr li)))))

   (if (environment? e)
       (pr (environment->list e))
	   "Not an environment"))

(define c/cc call-with-current-continuation)
(define (t&c) (new-thread (bind-to-console)))

;; These colors are useful with notify and look commands:

(define color-blak   '(  0   0   0))
(define color-white  '(255 255 255))
(define color-red    '(255   0   0))
(define color-green  '(  0 255   0))
(define color-blue   '(  0   0 255))
(define color-yellow '(255 255   0))
